const { i18n } = require('./next-i18next.config');

/** @type {import('next').NextConfig} */
const nextConfig = {
  reactStrictMode: true,
  compress: false,
  i18n,
  webpack: (config, options) => {
    config.resolve.fallback = {
      ...config.resolve.fallback,
      fs: false,
      path: false,
    };
    config.module.rules.push({
      test: /\.svg$/,
      issuer: /\.jsx?$/,
      include: [options.dir],
      use: [
        'next-swc-loader',
        {
          loader: '@svgr/webpack',
          options: { babel: false },
        },
      ],
    });
    return config;
  },
  images: {
    domains: [
      'medusa-public-images.s3.eu-west-1.amazonaws.com',
      'medusa-reactstorefront-test.fra1.digitaloceanspaces.com',
      'via.placeholder.com'
    ]
  },
  env: {
    SITE_TITLE: 'React Storefront',
    SITE_DESCRIPTION: 'React Storefront',
    SITE_AUTHOR: 'React Storefront',
    MEDUSA_API_URL: 'https://medusa-test-api.zmooth.io',
    STRIPE_API: 'pk_test_51KWeuID5A4CeKIajvwAxpyJgBmvNX9g7wGEejwfROQP1DatQfZTIbvv7cYyflhDwrjfdxSmMphpPIpdoaELVBTaG00vofjOogd',
  }
};

module.exports = nextConfig;
