import { motion } from 'framer-motion';
import cn from 'classnames';

const Checkbox = (props) => {
  const { label, onChange, checked, className, value } = props;

  const rootClass = cn('flex items-center cursor-pointer', className);
  const cbClass = cn('flex w-4 h-4 border border-gray-300 p-[2px] mr-2', {
    ['!border-black']: checked,
  });

  return (
    <label className={rootClass}>
      <input
        className="hidden"
        type="checkbox"
        checked={checked}
        onChange={onChange}
        name={label}
        value={value}
      />
      <span className={cbClass}>
        {checked && (
          <motion.span
            initial={{ opacity: 0, scale: 0.5 }}
            animate={{ opacity: 1, scale: 1 }}
            className="bg-black block w-full h-full"
          />
        )}
      </span>
      <span>{label}</span>
    </label>
  );
};

export default Checkbox;
