import cn from 'classnames';
import IconStartFill from '../../../../public/images/icons/icon-star-fill.svg';
import IconStartBorder from '../../../../public/images/icons/icon-star.svg';

const Rating = ({ activeStar = 0, className }) => {
  const rootClass = cn('flex items-center', className);
  const totalStar = 5;
  return (
    <div className={rootClass}>
      <div className="relative">
        <div className="flex">
          {[...new Array(totalStar)].map((item, idx) => (
            <span
              key={idx}
              className="flex justify-center items-center w-6 h-6 text-current text-yellow-300"
            >
              <IconStartBorder />
            </span>
          ))}
        </div>
        <div className="absolute left-0 top-0 overflow-hidden" style={{ width: `${(activeStar / totalStar) * 100}%` }}>
          <div className="flex ">
            {[...new Array(totalStar)].map((item, idx) => (
              <span
                key={idx}
                className="flex shrink-0 justify-center items-center w-6 h-6 text-current text-yellow-300"
              >
                <IconStartFill />
              </span>
            ))}
          </div>
        </div>
      </div>
      <span className="ml-2">
        {activeStar} Rating
      </span>
    </div>
  );
};

export default Rating;
