import cn from 'classnames';
import s from './product-grid.module.scss';
import ProductCard from '../ProductCard';

const ProductGrid = ({ products, gridCount }) => {
  const rootClass = cn(s.root, {
    [s.grid4]: gridCount === 4,
    [s.grid3]: gridCount === 3,
  });

  if (products.length === 0) {
    return <h2>No products available</h2>;
  }

  return <div className={rootClass}>
    {
      products.map((item) => (
        <ProductCard product={item} key={item.id} />
      ))
    }
  </div>;
};

export default ProductGrid;
