import { useWindowSize } from '@/utlis/hooks/useWindowSize';
import AccountMobileContent from './partials/AccountMobileContent';
import AccountWrapper from './partials/AccountWrapper';
import MyProfileContent from './partials/MyProfileContent';

const MyAccountContainer = () => {
  const { width } = useWindowSize();
  if (!width) return null;

  const isMobile = width < 1024;

  if (isMobile) {
    return <AccountMobileContent />;
  }

  return (
    <AccountWrapper>
      <MyProfileContent />
    </AccountWrapper>
  );
};

export default MyAccountContainer;
