import Layout from '@/components/templates/LayoutApp';
import AccountMenu from '@/containers/AccountContainer/partials/AccountMenu';
import IconArrow from '../../../../public/images/icons/icon-arrow-down.svg';
import Link from 'next/link';

const AccountWrapper = (props) => {
  const { title = 'Account', children } = props;
  return (
    <Layout title={title}>
      <div className="container mx-auto mt-8 mb-24">
        <div className="grid grid-cols-12 ">
          <div className="lg:min-h-[100vh] hidden h-full col-span-12 lg:col-span-4 lg:block">
            <AccountMenu />
          </div>
          <div className="col-span-12 lg:col-span-8 lg:py-4 lg:px-9">
            <Link href="/account">
              <a className="flex items-center mb-6 lg:hidden">
                <span className="rotate-90">
                  <IconArrow/>
                </span>
                <span className="ml-2">
                Back
                </span>
              </a>
            </Link>
            <div>{children}</div>
          </div>
        </div>
      </div>
    </Layout>
  );
};

export default AccountWrapper;
