import { useState } from 'react';
import { Tabs, TabList, Tab, TabPanel, TabPanels } from '@/components/common/Tabs';
import Button from '@/components/common/Button';

const ShippingDetails = () => (
  <div className="pt-6">
    <p className="mb-4">Manage all the shipping addresses you want (work place, home address...) This way you won"t have to enter the shipping address manually with each order.</p>
    <Button variant="slim">ADD NEW ADDRESS</Button>
  </div>
);

const ShippingDetailsContent = () => {
  const [active, setActive] = useState(0);

  return <div>
    <Tabs active={active} withBorder>
      <TabList>
        <Tab index={0} onClick={() => setActive(0)}>Shipping Details</Tab>
      </TabList>
      <TabPanels>
        <TabPanel index={0}><ShippingDetails /></TabPanel>
      </TabPanels>
    </Tabs>
  </div>;
};

export default ShippingDetailsContent;
