import { Fragment, useState, useEffect } from 'react';
import IconCart from '../../../../public/images/icons/icon-cart.svg';
import CartPopup from './CartPopup';
import { AnimatePresence } from 'framer-motion';

const CartToggler = () => {
  const [toggle, setToggle] = useState(false);

  const handleOnToggle = () => setToggle(!toggle);
  const handleOnClose = () => setToggle(false);

  useEffect(() => {
    if (toggle) {
      window.addEventListener('click', handleOnClose);
      document.body.classList.add('has-backdrop');
    }
    return () => {
      window.removeEventListener('click', handleOnClose);
      document.body.classList.remove('has-backdrop');
    };
  }, [toggle]);

  return (
    <Fragment>
      <button onClick={handleOnToggle}>
        <IconCart />
      </button>
      <AnimatePresence>
        {toggle && <CartPopup onClose={handleOnClose} />}
      </AnimatePresence>
    </Fragment>
  );
};

export default CartToggler;
