import React, { useState } from 'react';
import { useAppProvider } from '../../../context/AppProvider';

// 🚧 This is a test payment, and is for testing purposes only.
// Look at the Medusa documentation on how to use one of our
// existing payment plugins or how to implement one:
// https://docs.medusajs.com/guides/plugins

const ManualPayment = ({ setComplete }) => {
  const {
    cartObject: { cart, cartFunctions },
    orderObject: { orderFunctions },
  } = useAppProvider();
  const { make: makeOrder } = orderFunctions();
  const { load: loadCart } = cartFunctions();

  const [processing, setProcessing] = useState(false);

  const handleTestPayment = async () => {
    setProcessing(true);

    const regionId = cart.region.id;
    // TODO check for errors
    await makeOrder({ currentCart: cart });

    loadCart({ regionId });

    setProcessing(false);
    setComplete((prev) => ({ ...prev, payment: 1 }));
  };

  return (
    <div className="flex flex-col">
      <p>This is for testing purposes only, and should not be used in a production environment.</p>
      <button
        className="btn-ui my-4"
        onClick={handleTestPayment}
        disabled={processing}
      >
        {processing ? 'Processing...' : 'Test Payment'}
      </button>
    </div>
  );
};

export default ManualPayment;
