import React, { useEffect } from 'react';
import LayoutCheckout from '@/components/templates/LayoutCheckout';
import Button from '@/components/common/Button';
import Link from 'next/link';
import { useAppProvider } from '@/context/AppProvider';
import { formatAmountWithSymbol } from '@/utils/price';

const ThankYou = () => {
  const {
    orderObject: { order },
  } = useAppProvider();
  useEffect(() => {
    window.scrollTo({ top: 0 });
  }, []);

  return (
    <LayoutCheckout title="Checkout">
      <div className="border-b -mt-[1px]" />
      <div className="container mx-auto mt-12">
        <div className="flex flex-col items-center justify-center w-full my-24 text-center">
          <p>You order has been proccess!</p>
          <h3 className="my-4 text-4xl font-semibold lg:text-6xl">
            Thanks for your Order
          </h3>

          <p className="mt-8 lg:max-w-sm lg:mt-9">
            {order?.id}
          </p>
          <p>
            Total: {formatAmountWithSymbol({ amount: order?.total, currency: order?.currency_code })}
          </p>
          <Link href="/store" passHref>
            <Button
              variant="slim"
              className="w-full lg:w-1/4 mt-9"
              Component="a"
            >
              CONTINUE SHOPING
            </Button>
          </Link>
        </div>
      </div>
    </LayoutCheckout>
  );
};

export default ThankYou;
