import React from 'react';
import Button from '@/components/common/Button';
import ProductGrid from '@/components/sections/ProductGrid';
import TitleDivider from '@/components/sections/TitleDivider';
import LayoutApp from '@/components/templates/LayoutApp';
import { useAppProvider } from '../../context/AppProvider';
import Banner from './partials/Banner';
import Slider from './partials/Slider';

const HomeContainer = () => {
  const { searchObject: { searchLoading, result } } = useAppProvider();

  return (
    <LayoutApp title="Home">
      <div className="container mx-auto mt-8 mb-24">
        <Slider />
        <Banner />

        <TitleDivider title="BEST PRODUCTS FOR YOU" />

        <div className='relative'>
          {searchLoading &&
            <div className="absolute top-0 left-0 right-0 bottom-0 bg-slate-300/70 flex justify-center align-center py-20">
              Loading...
            </div>
          }
          <ProductGrid products={result?.data?.products || []} gridCount={4} />
        </div>
        <div className="flex justify-center mt-20">
          <Button variant="ghost" Component="a" href="/store">
            All Products
          </Button>
        </div>
      </div>
    </LayoutApp>
  );
};

export default HomeContainer;
