import Image from 'next/image';
import React from 'react';

const BannerItem = (props) => {
  const {
    img = '/images/misc/banner-home-1-placeholder.jpg',
    label,
    title,
    content
  } = props;

  return (
    <div className="w-full h-full min-h-[360px] relative overflow-hidden">
      <Image
        src={img}
        alt=""
        layout="fill"
        objectFit="cover"
      />
      <div className="absolute left-0 right-0 top-0 bottom-0 p-8 text-white bg-black/70">
        <div className="mb-3">{label}</div>
        <div className="text-5xl my-8">{title}</div>
        {content && (
          <div className="text-[12px]">
            {content}
          </div>
        )}
      </div>
    </div>
  );
};
const Banner = () => {
  return (
    <div className="grid gap-4 grid-cols-3 lg:grid-rows-2 min-h-[640px] mb-24">
      <div className="col-span-3 lg:col-span-1 row-span-2">
        <BannerItem
          img="/images/misc/banner-home-1-placeholder.jpg"
          label="DRESSES"
          title="Cocktail & Party"
          content="Find stunning women's cocktail dresses and party dresses. Stand out in lace and metallic cocktail dresses from all your favorite brands. "
        />
      </div>
      <div className="col-span-3 lg:col-span-1 row-span-2">
        <BannerItem
          img="/images/misc/banner-home-2-placeholder.jpg"
          label="DRESSES"
          title="Casual & Party"
          content="Find stunning women's cocktail dresses and party dresses. Stand out in lace and metallic cocktail dresses from all your favorite brands. "
        />
      </div>
      <div className="col-span-3 lg:col-span-1 row-span-1">
        <BannerItem
          img="/images/misc/banner-home-3-placeholder.jpg"
          label="T-SHIRTS"
          title="The Office Line"
        />
      </div>
      <div className="col-span-3 lg:col-span-1 row-span-1">
        <BannerItem
          img="/images/misc/banner-home-4-placeholder.jpg"
          label="T-SHIRTS"
          title="Casual & Party"
        />
      </div>
    </div>
  );
};

export default Banner;
