import { Swiper, SwiperSlide } from 'swiper/react';
import { Navigation, Pagination } from 'swiper';
import useResponsive from '@/hooks/useResponsive';
import Image from 'next/image';

const Slider = () => {
  const responsive = useResponsive();
  return (
    <div className="mb-16">
      <Swiper
        modules={[Navigation, Pagination]}
        navigation={responsive.isLg}
        pagination
        className="swiper-home"
      >
        <SwiperSlide>
          <div className="w-full h-[320px] md:h-[540px] lg:h-[640px] relative overflow-hidden">
            <Image
              src="/images/misc/slider-home-1-placeholder.jpg"
              alt="Slider 1"
              layout="fill"
              objectFit="cover"
            />
            <div className="absolute flex items-center bg-black/50 text-white left-0 right-0 top-0 bottom-0 py-14 px-[30px] lg:px-[120px]">
              <div className="max-w-[440px]">
                <div className="mb-3">Summer Collection 2022</div>
                <div className="text-xl md:text-2xl font-semibold">Lorem ipsum dolor, sit amet consectetur adipisicing elit.</div>
              </div>
            </div>
          </div>
        </SwiperSlide>
        <SwiperSlide>
          <div className="w-full h-[320px] md:h-[540px] lg:h-[640px] relative overflow-hidden">
            <Image
              src="/images/misc/slider-home-2-placeholder.jpg"
              alt="Slider 1"
              layout="fill"
              objectFit="cover"
            />
            <div className="absolute flex items-center bg-black/50 text-white left-0 right-0 top-0 bottom-0 py-14 px-[30px] lg:px-[120px]">
              <div className="max-w-[440px]">
                <div className="mb-3">Summer Collection 2022</div>
                <div className="text-xl md:text-2xl font-semibold">Lorem ipsum dolor, sit amet consectetur adipisicing elit.</div>
              </div>
            </div>
          </div>
        </SwiperSlide>
      </Swiper>
    </div>
  );
};

export default Slider;
