import Checkbox from '@/components/common/Form/Checkbox';
import Sidebar from '@/components/shared/Sidebar';

const FilterCategories = ({
  filterables,
  activeFilters,
  setActiveFilters
}) => {
  const handleChange = e => {
    const { key, value } = JSON.parse(e.target.value);
    const tmp = { ...activeFilters };

    if (e.target.checked) {
      if (!tmp[key]) {
        tmp[key] = [];
      }

      tmp[key].push(value);
    } else {
      tmp[key] = tmp[key].filter(item => item !== value);

      if (tmp[key].length === 0) {
        delete tmp[key];
      }
    }

    setActiveFilters(tmp);
  };

  return (
    <>
      {filterables && Object.keys(filterables).map((key) => {
        return (
          <Sidebar title={key} key={key}>
            {
              filterables[key].values.map((value, index) => (
                <Checkbox
                  label={value}
                  key={index}
                  value={JSON.stringify({ key, value })}
                  checked={activeFilters && activeFilters[key] && activeFilters[key].includes(value)}
                  className="mb-2"
                  onChange={handleChange}
                />
              ))
            }
          </Sidebar>
        );
      }
      )}
    </>
  );
};

export default FilterCategories;
