import { Fragment, useState } from 'react';
import { AnimatePresence } from 'framer-motion';

import BottomSheet from '@/components/sections/BottomSheet';
// import SortBy from './SortBy';
import FilterCategories from './FilterCategories';

import IconFilter from '../../../../public/images/icons/icon-filter.svg';

const MobileFilterSheet = ({
  filterables,
  activeFilters,
  setActiveFilters
}) => {
  const [toggle, setToggle] = useState(false);

  const handleOnToggle = () => {
    setToggle(!toggle);
  };

  return (
    <Fragment>
      <button
        className="flex items-center border border-gray-300 px-4 py-2 lg:hidden text-black"
        onClick={handleOnToggle}
      >
        <span className="mr-1 text-current">
          <IconFilter />
        </span>
        <span className="uppercase text-sm tracking-widest">Filter</span>
      </button>
      <AnimatePresence>
        {toggle && (
          <BottomSheet title="Filter" onClose={handleOnToggle}>
            <div>
              {/* <SortBy /> */}
              <FilterCategories
                filterables={filterables}
                activeFilters={activeFilters}
                setActiveFilters={setActiveFilters}
              />
            </div>
          </BottomSheet>
        )}
      </AnimatePresence>
    </Fragment>
  );
};

export default MobileFilterSheet;
