import { useState } from 'react';

import Sidebar from '@/components/shared/Sidebar';
import Dropdown from '@/components/common/Dropdown';

const sortBy = [
  {
    label: 'Featured',
    value: 'featured',
  },
  {
    label: 'Best Selling',
    value: 'best selling',
  },
  {
    label: 'Price, low to hight',
    value: 'pirce, low to hight',
  },
  {
    label: 'Price, hight to low',
    value: 'pirce, hight to low',
  },
];

const SortBy = () => {
  const [selected, setSelected] = useState(sortBy[0].value);

  const handleOnChange = (value) => {
    setSelected(value);
  };

  return (
    <Sidebar title="Sort By">
      <Dropdown
        placeholder="Sort By"
        selected={selected}
        onSelect={(option) => handleOnChange(option?.value)}
      >
        {sortBy.map((sort) => (
          <Dropdown.Item key={sort.value} label={sort.label} value={sort.value} />
        ))}
      </Dropdown>
    </Sidebar>
  );
};

export default SortBy;
