import {
  useEffect,
  useState,
} from 'react';
import { useMediaQuery } from 'react-responsive';

export default function useResponsive() {
  const [isClient, setIsClient] = useState(false);

  const isSm = useMediaQuery({
    query: '(min-width: 640px)',
  });
  const isMd = useMediaQuery({
    query: '(min-width: 768px)',
  });
  const isLg = useMediaQuery({
    query: '(min-width: 1024px)',
  });
  const isXl = useMediaQuery({
    query: '(min-width: 1280px)',
  });
  const isXxl = useMediaQuery({
    query: '(min-width: 1536px)',
  });

  useEffect(() => {
    if (typeof window !== 'undefined') {
      setIsClient(true);
    }
  }, []);

  return {
    isSm: isClient ? isSm : false,
    isMd: isClient ? isMd : false,
    isLg: isClient ? isLg : false,
    isXl: isClient ? isXl : false,
    isXxl: isClient ? isXxl : false,
  };
}
