import { serverSideTranslations } from 'next-i18next/serverSideTranslations';
import StoreDetailContainer from '@/containers/StoreContainer/StoreDetailContainer';

export default StoreDetailContainer;
export async function getStaticPaths() {
  return {
    paths: [],
    fallback: 'blocking'
  };
}

export const getStaticProps = async ({ locale, params }) => {

  return {
    props: {
      slug: params.slug,
      // locales multi language
      ...(await serverSideTranslations(locale, ['header', 'common']))
    }
  };
};
